<template>
  <div class="aftersale">
    <div class="commodity-box">
      <div class="express border-bottom-1">
        <span class="default">默认</span>
        <p class="name">张先生<span>137****3448</span></p>
        <p class="site">北京 北京市 朝阳区 XX镇</p>
        <p class="site">北京市朝阳区朗庭大厦xxx室</p>
        <i class="fa fa-angle-right" @click="edit('photo')"></i>
      </div>
    </div>
    <div class="weui-tabbar">
      <a href="javascript:;" class="weui-btn weui-btn_warn" @click="paymentsuccess()">新增收货地址</a>
    </div>
  </div>
</template>

<script>
import {dict} from '../store/dictionary'
export default {
  name: 'aftersale',
  components: {},
  data () {
    return {
      dict: dict,
      typeList: [
        {
          name: '全部',
          active: true,
          type: 'all'
        },
        {
          name: '待付款',
          active: false,
          type: 'ap'
        },
        {
          name: '待发货',
          active: false,
          type: 'price'
        },
        {
          name: '待收货',
          active: false,
          type: 'price'
        },
        {
          name: '待评价',
          active: false,
          type: 'price'
        }
      ]
    }
  },
  methods: {
    jumpBack () {
      this.$router.back(-1)
    },
    jumpmenu (type) {
      this.$router.push({name: type})
    },
    confirm () {
      $.toast('收货成功', 3000)
    },
    estimate () {
      this.$router.push({name: 'estimate'})
    },
    openpopup () {
      $('#logistics').popup()
    },
    aftersale () {
      this.$router.push({name: 'aftersale'})
    },
    edit (type) {
      if (type === 'nickname') {
        $('#' + type).popup()
      } else if (type === 'sex') {
        $.actions({
          actions: [
            {
              text: '男',
              onClick () {
                console.log(123)
              }
            },
            {
              text: '女',
              onClick () {
                console.log(123)
              }
            }
          ]
        })
      }
    }
  },
  mounted: function () {
    $('#stature').picker({
      title: '请选择您的身高',
      toolbarCloseText: '确定',
      onClose () {
        console.log(1)
      },
      cols: [
        {
          textAlign: 'center',
          values: ['165cm', '170cm', '175cm', '180cm', '185cm']
        }
      ]
    })
    $('#weight').picker({
      title: '请选择您的体重',
      toolbarCloseText: '确定',
      onClose () {
        console.log(1)
      },
      cols: [
        {
          textAlign: 'center',
          values: ['60kg', '65kg', '70kg', '75kg', '80kg']
        }
      ]
    })
  }
}
</script>

<style scoped>
.commodity {
  position: relative;
  padding: 10px 10px 10px;
}
.express {
  /* height: 50px; */
  /* line-height: 50px; */
  position: relative;
  padding: 10px 15px;
  background: #ffffff;
}
.express .default {
  display: inline-block;
  height: 20px;
  line-height: 20px;
  font-size: 12px;
  padding: 0px 5px;
  margin-top: 3px;
  position: absolute;
  background: orange;
  border-radius: 10px;
}
.express p {
  margin-left: 40px;
}
.express .name {
  color: rgb(245, 124, 80);
  font-size: 16px;
}
.express .name span {
  color: #bcbcbc;
  font-size: 14px;
  margin-left: 15px;
}
.express .site {
  font-size: 14px;
}
.express .tip {
  /* float: right; */
  font-size: 14px;
  color: #bbbbbb;
  margin-right: 10px;
}
.express .fa {
  position: absolute;
  top: 50%;
  right: 10px;
  margin-top: -15px;
  font-size: 24px;
  color: #bbbbbb;
  /* float: right; */
  /* margin-top: 13px; */
}
.close {
  display: inline-block;
  width: 20px;
  height: 20px;
  position: absolute;
  top: 10px;
  right: 8px;
  transform:rotate(60deg);
  -moz-transform:rotate(45deg);
  -webkit-transform:rotate(45deg);
  -o-transform:rotate(45deg);
}
.close .icon-close:before {
  content: " ";
  position: absolute;
  top: 50%;
  left: 50%;
  height: 1px;
  width: 16px;
  background-color: #000000;
  margin-left: -7px;
}
.close .icon-close:after {
  content: " ";
  position: absolute;
  top: 50%;
  left: 50%;
  height: 16px;
  width: 1px;
  background-color: #000000;
  margin-top: -7px;
}
#nickname .weui-popup__modal {
  height: 250px;
}
.weui-btn {
  width: 100%;
  border-radius: 0px;
}
.weui-cells {
  margin: 20px 0px;
}
.header {
  line-height: 50px;
}
</style>
